Hi,
I am on Centos 6.6 - Centreon 2.7.4. Central server and satellite server.
I configure a service trap for switchs and a passive trap template as described in the official doc. I have linked trap with the service.
I find the mib on http://www.oidview.net/. I put the dependances SNMPv2-SMI, SNMPv2-TC and SNMPv2-CONF in /usr/share/snmp/mibs on central server.
When I import the mib I have only 3 OID translated:
----------------------------------------------------------------------------------------------------------------------
Moving traps in DataBase...
2016-08-30 14:29:33 - snmptranslate version: NET-SNMP version: 5.5
2016-08-30 14:29:33 - mib name: SNMPv2-MIB
2016-08-30 14:29:33 - Processing MIB: SNMPv2-MIB
2016-08-30 14:29:33 - #
2016-08-30 14:29:33 - skipping a TRAP-TYPE / NOTIFICATION-TYPE line - probably an import line.
2016-08-30 14:29:33 - #
2016-08-30 14:29:33 - Line: 413
2016-08-30 14:29:33 - NOTIFICATION-TYPE: coldStart
2016-08-30 14:29:33 - Enterprise: snmpTraps
2016-08-30 14:29:33 - Looking up via snmptranslate: SNMPv2-MIB::coldStart
2016-08-30 14:29:33 - OID: .1.3.6.1.6.3.1.1.5.1
2016-08-30 14:29:33 - #
2016-08-30 14:29:33 - Line: 422
2016-08-30 14:29:33 - NOTIFICATION-TYPE: warmStart
2016-08-30 14:29:33 - Enterprise: snmpTraps
2016-08-30 14:29:33 - Looking up via snmptranslate: SNMPv2-MIB::warmStart
2016-08-30 14:29:33 - OID: .1.3.6.1.6.3.1.1.5.2
2016-08-30 14:29:33 - #
2016-08-30 14:29:33 - Line: 435
2016-08-30 14:29:33 - NOTIFICATION-TYPE: authenticationFailure
2016-08-30 14:29:33 - Enterprise: snmpTraps
2016-08-30 14:29:33 - Looking up via snmptranslate: SNMPv2-MIB::authenticationFailure
2016-08-30 14:29:33 - OID: .1.3.6.1.6.3.1.1.5.5
2016-08-30 14:29:33 - Done
2016-08-30 14:29:33 - Total translations: 3
2016-08-30 14:29:33 - Successful translations: 3
2016-08-30 14:29:33 - Failed translations: 0

Generate Traps configuration files from Monitoring Engine configuration form!
-----------------------------------------------------------------------------------------------------------------
Why I haven't the others?
I need translate 1.3.6.1.2.1.1.3.0 but it isn't working.
thanks for yours replies,
seta28